$:.push File.expand_path("../lib", __FILE__)

require "dailyrep/version"

Gem::Specification.new do |s|
  s.name        = 'dailyrep'
  s.licenses    = ['MIT']
  s.version     = DailyRep::VERSION
  s.summary     = "Ruby app that provides values checking on particular websites and performs notification"
  s.description = File.read(File.join(File.dirname(__FILE__), 'README.md'))
  s.authors     = "Yurii Kurylenko"
  s.email       = "yuriy.kurilenko7@gmail.com"

  s.files       = `git ls-files`.split("\n")
  s.test_files  = `git ls-files -- {test}/*`.split("\n")
  s.executables = ['dailyrep']

  s.add_dependency "hashdiff", ">= 0.0.2"
  s.add_dependency "activerecord"
  s.add_dependency "sqlite3"
  s.add_dependency "rake"
  s.add_dependency "nokogiri"
  s.add_dependency "washbullet"


  s.required_ruby_version = '>=2.0'
end