require 'test_helper'
require "dailyrep/entities/Doujob"

module DailyRep
  describe "Doujob unit test" do
    before do
      @doujob1 = Entities::Doujob.new("Ruby")
    end

    it 'should test process method and write_to_hist' do
      @doujob1.process
      assert @doujob1.diff, 'process method returns empty json responce'
      assert_not @doujob1.diff.count == 0, 'response count = 0'
      assert_difference('History.count', @doujob1.diff.count) do
        @doujob1.write_to_db
      end
    end


  end

end
