require 'test_helper'
require "dailyrep/entities/Micex"

module DailyRep
  class Micex
    def log_msg phase
    end
  end

  describe "Micex unit test" do
    before do
      @micex = Entities::Micex.new()
    end

    it 'should test process method' do
      @micex.process
      assert @micex.values[:last] > 0, 'process method returns empty json responce'
    end

    it 'should test write_to_hist' do
      assert_difference('History.count') do
        @micex.write_to_db
      end
    end

  end
end
