require "minitest/autorun"

require 'active_record'
require 'json'
require 'hashdiff'

DATABASE = 'db/db_test.sql3' #sets test database
CONFIG_FILE = 'config/config.json'

#config file loading
require 'dailyrep/Loadconfig'

DailyRep::Configer.set_index_file  'config/index.html'

require 'active_support/testing/assertions'
include ActiveSupport::Testing::Assertions

#clears test database
History.delete_all

require 'dailyrep/IBrowser'


module DailyRep
  class IBrowser
    def self.get_html entity, key
      @@out_html.css("##{entity}_#{key}")[0].content
    end
  end

  module Trackable
    def log_msg entity, add_param='', phase
    end
    def log_error e
    end
  end
end
