require 'test_helper'
require "dailyrep/entities/Kinozal"

module DailyRep
  describe "Kinozal unit test" do
    before do
      @kinozal = Entities::Kinozal.new("Avatar")
    end

    it 'should test process method and write_to_hist' do
      @kinozal.process
      assert @kinozal.out_hash_clean, 'process method returns empty json responce'
      assert_not @kinozal.out_hash_clean.count == 0, 'response count = 0'
      assert_difference('History.count', @kinozal.out_hash_clean.count) do
        @kinozal.write_to_db
      end
      assert @kinozal.to_notification.count == @kinozal.out_hash_clean.count
    end


  end

end
